> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/get-cards-private-info.md).

# Get card's private info

<mark style="color:green;">`GET`</mark> /api/v2/cards/{cardId}/private-info

**Headers**

| Param        | Value                                                                                                                   |
| ------------ | ----------------------------------------------------------------------------------------------------------------------- |
| access-token | It is accessToken  has returned from the [api Access Token](/alix-pay/api-reference/alix-card-api/auth/access-token.md) |

**PATH Params**

| Param  | Value          |
| ------ | -------------- |
| cardId | The id of card |

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Your request has been successful",
    "data": {
          "cvv": "111",
          "expYear": "27",
          "expMonth": "01",
          "cardNo": "xxx-xxxx-xxx-xxxx"
  },
    "errorCode": 0
}
```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

**Description of  Data**&#x20;

<table><thead><tr><th width="237">Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>cvv</code></td><td>integer</td><td>cvv number</td></tr><tr><td><code>expYear</code></td><td>string</td><td>The expired year of card</td></tr><tr><td><code>expMonth</code></td><td>string</td><td>The expired month of card</td></tr><tr><td><code>cardNo</code></td><td>string</td><td>The card number</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/get-cards-private-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
